package com.jware.apps.scheduler.web.struts.schedule;

import java.util.ArrayList;

import org.apache.struts.validator.ValidatorForm;


/**
 * 
 */
public class SchedulerChooseForm extends ValidatorForm 
{

    private String choosenSchedulerName;
    private ArrayList schedulers;
    private SchedulerDTO scheduler;
    private ArrayList executingJobs;

    private String btnSetSchedulerAsCurrent;
  


    public String getChoosenSchedulerName()
    {
        return choosenSchedulerName;
    }

    public void setChoosenSchedulerName(String choosenSchedulerName)
    {
        this.choosenSchedulerName = choosenSchedulerName;
    }


	/**
	 * Returns the schedulers.
	 * @return ArrayList
	 */
	public ArrayList getSchedulers() {
		return schedulers;
	}

	/**
	 * Sets the schedulers.
	 * @param schedulers The schedulers to set
	 */
	public void setSchedulers(ArrayList schedulers) {
		this.schedulers = schedulers;
	}

	/**
	 * Returns the scheduler.
	 * @return SchedulerForm
	 */
	public SchedulerDTO getScheduler() {
		return scheduler;
	}

	/**
	 * Sets the scheduler.
	 * @param scheduler The scheduler to set
	 */
//	public void setScheduler(SchedulerForm scheduler) {
//		this.scheduler = scheduler;
//	}

	/**
	 * Sets the scheduler.
	 * @param scheduler The scheduler to set
	 */
	public void setScheduler(SchedulerDTO scheduler) {
		this.scheduler = scheduler;
	}
	
	/**
	 * Returns the executingJobs.
	 * @return ArrayList
	 */
	public ArrayList getExecutingJobs() {
		return executingJobs;
	}

	/**
	 * Sets the executingJobs.
	 * @param executingJobs The executingJobs to set
	 */
	public void setExecutingJobs(ArrayList executingJobs) {
		this.executingJobs = executingJobs;
	}



	/**
	 * Returns the btnSetSchedulerAsCurrent.
	 * @return String
	 */
	public String getBtnSetSchedulerAsCurrent() {
		return btnSetSchedulerAsCurrent;
	}

	/**
	 * Sets the btnSetSchedulerAsCurrent.
	 * @param btnSetSchedulerAsCurrent The btnSetSchedulerAsCurrent to set
	 */
	public void setBtnSetSchedulerAsCurrent(String btnSetSchedulerAsCurrent) {
		this.btnSetSchedulerAsCurrent = btnSetSchedulerAsCurrent;
	}

	

}

